Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.
Bug 225880 - Merge Review: hal
Summary: Merge Review: hal
Keywords:
Status: CLOSED WONTFIX
Alias: None
Product: Fedora
Classification: Fedora
Component: Package Review
Version: rawhide
Hardware: All
OS: Linux
medium
medium
Target Milestone: ---
Assignee: Nobody's working on this, feel free to take it
QA Contact: Fedora Package Reviews List
URL:
Whiteboard:
Depends On: 161548
Blocks:
TreeView+ depends on / blocked
 
Reported: 2007-01-31 19:02 UTC by Nobody's working on this, feel free to take it
Modified: 2012-06-15 16:27 UTC (History)
5 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2011-04-21 09:48:29 UTC


Attachments (Terms of Use)

Description Nobody's working on this, feel free to take it 2007-01-31 19:02:23 UTC
Fedora Merge Review: hal

http://cvs.fedora.redhat.com/viewcvs/devel/hal/
Initial Owner: davidz@redhat.com

Comment 1 Ralf Corsepius 2007-02-02 08:28:42 UTC
MUSTFIX:
- package must not own
/usr/share/locale/*
and
/usr/share/locale/*/LC_MESSAGES

Package should use %find_lang


- Source0 is not an absolute URL


- *-devel contains *.pc
=> Requires: pkgconfig


Comment 2 Matthias Clasen 2007-02-04 03:45:10 UTC
Fixed in hal-0.5.8.1-8.fc7

Comment 3 Patrice Dumas 2007-02-18 14:17:51 UTC
Issues:

* use RPM_BUILD_ROOT or buildroot

*
BuildRequires: perl-XML-Parser
should certainly be replaced by
BuildRequires: perl(XML::Parser)

* Missing
Requires(post): /sbin/ldconfig
Requires(pre): /usr/sbin/useradd
Requires(postun): gawk, grep, coreutils, /sbin/ldconfig
I guessed that triggerpostun is associated with Requires(postun), maybe this
is wrong.

* There are no static libraries, the -devel %description should be updated

* /etc/dbus-1/system.d/hal.conf should certainly be %config(noreplace)

* Why is %doc commented out? And also
%{_datadir}/doc/hal-%{version}/conf/*
seems wrong to me but it's not completely obvious.

* remove Application; X-Red-Hat-Base; from desktop file Categories
remove X-Desktop-File-Install-Version=0.10 from desktop file

* --vendor should be fedora and not redhat. There is a cryptic comment
saying that it shouldn't change during release but I guess we are 
between releases...

* shouldn't hal-info be put in another package?

Suggestions:

* replace %defattr(-,root,root) with %defattr(-,root,root,-)

* replace
cp -f %{SOURCE1} $RPM_BUILD_ROOT%{_datadir}/hal/fdi/policy/10osvendor/
with
cp -p %{SOURCE1} $RPM_BUILD_ROOT%{_datadir}/hal/fdi/policy/10osvendor/
 


There is an issue of directory ownership for /usr/share/gtk-doc/html/,
but it is not obvious how to solve it.

Comment 4 David Zeuthen 2007-02-19 00:25:32 UTC
In response to comment 3:

I've fixed most of this except making /etc/dbus-1/system.d/hal.conf
%config(noreplace). I've made it %config however as
/etc/dbus-1/system.d/hal.conf isn't a configuration at all; however some
developers like to tweak it around and as such their changes will be saved as
.rpmsave.

I've also cleaned up the %files sections of the spec file - please review if I
broke anything and if you think the spec file looks good now. Thanks.

This will appear in tomorrows Rawhide and I've uploaded the spec file and SRPM here

 http://people.redhat.com/davidz/hal.spec
 http://people.redhat.com/davidz/hal-0.5.9-0.git20070218.fc7.src.rpm

Thanks for reviewing this.


Comment 5 Patrice Dumas 2007-02-19 23:51:47 UTC
(In reply to comment #4)
> In response to comment 3:
> 
> I've fixed most of this except making /etc/dbus-1/system.d/hal.conf
> %config(noreplace). I've made it %config however as
> /etc/dbus-1/system.d/hal.conf isn't a configuration at all; 

It defines the security policy of HAL, it is an obvious config
file. You may prefer to keep it under the packager responsibility,
but it is a config file. I am personally fine with having this file
%config, seems like a good compromise.

I think that 
%{_sysconfdir}/rc.d/init.d/haldaemon
shouldn't be %config.
Maybe you could use  %_initrddir for that file.

The Application category in .desktop file is deprecated.

What about putting hal-info in another package?

Comment 6 Matthias Clasen 2007-06-17 05:02:58 UTC
hal-info is a separate package by now; I agree that the invalid Application
category should be removed fron the desktop file; should probably be fixed
upstream though, not worth carrying a patch for.

Comment 7 Matthias Clasen 2007-08-11 03:26:28 UTC
The hal-gnome package (and with it the desktop file) is gone now.

Comment 8 Nicola Soranzo 2011-04-21 09:48:29 UTC
Hal has been deprecated in rawhide today, so I'm closing this Merge Review as WONTFIX.

Comment 9 Parag AN(पराग) 2012-06-15 16:27:04 UTC
This bug just popped out when I searched for packages under review but looks like this package was retired already.

Dropping the flag fedora-review?


Note You need to log in before you can comment on or make changes to this bug.